Bug 4963 - [XQX] Removed element xqx:parenthesizedExpr used in example
[XQX] Removed element xqx:parenthesizedExpr used in example
Status: CLOSED FIXED
Product: XPath / XQuery / XSLT
Classification: Unclassified
Component: XQueryX 1.0
Recommendation
PC Windows NT
: P2 minor
: ---
Assigned To: Jim Melton
Mailing list for public feedback on specs from XSL and XML Query WGs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-20 14:20 UTC by Tim Mills
Modified: 2007-09-12 06:42 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Mills 2007-08-20 14:20:48 UTC
xqx:parenthesizedExpr, which is commented as having been removed in the schema:

http://www.w3.org/TR/xqueryx/#Schema

is used in Example 4:

http://www.w3.org/TR/xqueryx/#Example4-XQueryX

and is also referenced in the XQueryX to XQuery stylesheet.
Comment 1 Jim Melton 2007-08-20 15:33:23 UTC
Thanks for your comment. 

The example is clearly incorrect and will be corrected through the XQueryX Errata document that will be published some time in the (near?) future; the precise correction must be endorsed by the Working Groups and will be announced when approved. 

The template in the stylesheet that processes xqx:parenthesizedExpr is clearly unnecessary, but it also does no harm.  Nonetheless, the Errata document mentioned above will address this problem, too. 
Comment 2 Jim Melton 2007-09-11 17:08:26 UTC
The WG has approved the following proposed changes: 

* In Section 3.4.2, A Solution in XQueryX, replace the starting tag
"<xqx:parenthesizedExpr>" and the ending tag "</xqx:parenthesizedExpr>" with
"<xqx:sequenceExpr>" and "<xqx:sequenceExpr>", respectively. 

* In Appendix B, Transforming XQueryX to XQuery, delete the template identified
by: match="xqx:parenthesizedExpr". 

These changes will appear in any XQueryX Errata document that the WG may
publish and in any future editions of XQueryX 1.0 that the WG may publish. 

This bug is being marked FIXED and ask that you review it and mark it CLOSED if
you agree that your comment is resolved.  If you do not respond within two
weeks from today, we will assume that you are satisfied with this solution and
will mark the bug CLOSED. 
Comment 3 Tim Mills 2007-09-12 06:42:10 UTC
Thanks.